WPParser.cxx File Reference
`#include <cstring>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <sstream>`
`#include <libwpd/libwpd.h>`
`#include "MWAWCell.hxx"`
`#include "MWAWContentListener.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWHeader.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWPictMac.hxx"`
`#include "MWAWPrinter.hxx"`
`#include "MWAWSection.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "MWAWTable.hxx"`
`#include "WPParser.hxx"`

## Classes

struct | WPParserInternal::PageInfo
| Page informations. More...
struct | WPParserInternal::ColumnInfo
| Column informations. More...
struct | WPParserInternal::ColumnTableInfo
| Column informations in a table. More...
struct | WPParserInternal::ParagraphInfo
| Paragraph informations. More...
struct | WPParserInternal::WindowsInfo
| Windows informations. More...
struct | WPParserInternal::WindowsInfo::Zone
struct | WPParserInternal::Font
| Internal: class to store the font properties. More...
struct | WPParserInternal::Line
| Internal: class to store the line properties. More...
struct | WPParserInternal::GraphicInfo
| Internal: class to store the Graphic properties. More...
struct | WPParserInternal::SectionInfo
| Internal: class to store the Section properties. More...
struct | WPParserInternal::ParagraphData
| Internal: class to store the beginning of all paragraph data. More...
struct | WPParserInternal::State
| Internal: the state of a WPParser. More...
class | WPParserInternal::SubDocument
| Internal: the subdocument of a MWParser. More...

## Namespaces

| WPParserInternal
| Internal: the structures of a WPParser.

## Functions

std::ostream & | WPParserInternal::operator<< (std::ostream &o, WindowsInfo const &w)